> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Registration Status for All Data Recipients

> Use the /api/v1/recipients/providers/requests endpoint to check the registrations status of all Data Recipients.

Use the `/api/v1/recipients/providers/requests` endpoint to check the registrations status of all Data Recipients.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint to obtain a valid `access_token` using the following settings:

* grant\_type: `client_credentials`
* client\_id: `{partner client_id}`
* client\_secret: `{partner client_secret}`
* scope: `client:admin`

The following is a list of possible registration statuses:

| **STATUS**           | **DESCRIPTION**                                                                                                                                                 |
| :------------------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `PENDING_APPROVAL`   | A partner has sent a registration request and is awaiting approval from Flinks.                                                                                 |
| `PENDING_ACTIVATION` | Flinks has approved the registration request and it has been sent to the Data Provider for activation.                                                          |
| `ACTIVE`             | The Data Provider is registered with the Data Recipient. The Data Recipient can successfully use the Flinks Open Banking API for this particular Data Provider. |


## OpenAPI

````yaml /openapi-outbound.yaml GET /api/v1/recipients/providers/requests
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/recipients/providers/requests:
    get:
      tags:
        - Outbound
      summary: Get the Registration Status for All Data Recipients
      description: >-
        Use the /api/v1/recipients/providers/requests endpoint to check the
        registrations status of all Data Recipients.
      operationId: getSupportedDataProvidersStatus
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    client_id:
                      type: string
                      description: Unique identifier for the data recipient.
                    client_name:
                      type: string
                      description: Name of the data recipient.
                    provider_id:
                      type: integer
                      description: Unique identifier for the data provider.
                    provider_name:
                      type: string
                      description: Name of the data provider.
                    country:
                      type: string
                      description: Country code of the data provider (e.g., CA, US).
                    registration_status:
                      type: string
                      description: >-
                        Current registration status (PENDING_APPROVAL,
                        PENDING_ACTIVATION, or ACTIVE).
                    requested_on:
                      type: string
                      description: >-
                        Timestamp of when the registration was requested (ISO
                        8601 format).
              example:
                - client_id: dc-xxxxxxxxxxxxxxxxxxxxxxxxx
                  client_name: Flinks Fake
                  provider_id: 2000
                  provider_name: NBC
                  country: CA
                  registration_status: PENDING_APPROVAL
                  requested_on: '2024-02-29T14:24:42.6055680Z'
                - client_id: dc-xxxxxxxxxxxxxxxxxxxxxxxxx
                  client_name: Flinks Fake
                  provider_id: 1000
                  provider_name: Flinks Capital
                  country: CA
                  registration_status: PENDING_APPROVAL
                  requested_on: '2024-02-29T14:24:42.6009460Z'
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid request parameters
        '401':
          description: Unauthorized - Expired or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Invalid Bearer Token
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Internal Server Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````